{% load static %}
{% load getattr %}
{% load keyvalue %}
<!-- Begin faceting. -->
{% if facets.fields|keyvalue:facet %}
    {% for f in facets.fields|keyvalue:facet %}
        <tr>
            <td>
                {% if request.GET %}
                    <a href="{{ request.get_full_path }}&amp;selected_facets={{ facet }}_exact:{{ f.0|urlencode }}">{{ f.0 }}</a>
                {% else %}
                    <a href="{{ request.get_full_path }}?selected_facets={{ facet }}_exact:{{ f.0|urlencode }}">{{ f.0 }}</a>
                {% endif %}
            </td>
            <td>{{ f.1 }}</td>
        </tr>
    {% endfor %}
{% else %}
    <tr>
        <td>None</td>
        <td>0</td>
    </tr>
{% endif %}
<!-- End faceting -->